Complexity:
Subject: Warning about property injection not being autowired in functional test
Description

The DependencyInjectionTest testcase has a test called injectionInParentClassIsDoneOnlyOnceOnCreationOfObject, leading to
FLOW3 trying to use the inject method for the property  "ionInParentClassIsDoneOnlyOnceOnCreationOfObject"…

Associated revisions
Revision a7fdef84 - 2012-08-10 11:23 - Karsten Dambekalns

[BUGFIX] Fix warning about property injection in test

The DependencyInjectionTest testcase has a test called
injectionInParentClassIsDoneOnlyOnceOnCreationOfObject, leading to FLOW3
trying to use the inject method for the property
"ionInParentClassIsDoneOnlyOnceOnCreationOfObject"…

This change renames the test method to fix this.

Change-Id: Ic26fe8b0e960a4b5f1de34a7d7eb6ea53bae56d8
Fixes: #39681
Releases: 1.1, 1.2

Revision 637e604d - 2012-08-10 11:35 - Karsten Dambekalns

[BUGFIX] Fix warning about property injection in test

The DependencyInjectionTest testcase has a test called
injectionInParentClassIsDoneOnlyOnceOnCreationOfObject, leading to FLOW3
trying to use the inject method for the property
"ionInParentClassIsDoneOnlyOnceOnCreationOfObject"…

This change renames the test method to fix this.

Change-Id: Ic26fe8b0e960a4b5f1de34a7d7eb6ea53bae56d8
Fixes: #39681
Releases: 1.1, 1.2

Revision 45f872a5 - 2012-08-28 13:02 - Bastian Waidelich
[TASK] Detect inject methods more strictly

Currently every method starting with "inject" is considered
for property injection by the ConfigurationManager.
That includes methods named "inject" or "injectionFoo".

This change makes the detection more strict to only accept
methods that start with "inject" followed by an upper case
character.

Change-Id: Iada3a11a9831b4c08cb93d2809c6d05c2017bd68
Related: #39681
Releases: 1.2

History
#1 - 2012-08-10 11:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13561

#2 - 2012-08-10 11:35 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13563

#3 - 2012-08-10 11:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
